# $Revision: 1.201 $, $Date: 2010/06/29 20:41:25 $
#
# Conditional build:
%bcond_without	kerberos5	# disable kerberos
#
%define		_state		stable
%define		orgname		kdelibs
%define		qtver		4.6.3

Summary:	K Desktop Environment - libraries
Summary(es.UTF-8):	K Desktop Environment - bibliotecas
Summary(ko.UTF-8):	KDE - 라이브러리
Summary(pl.UTF-8):	K Desktop Environment - biblioteki
Summary(pt_BR.UTF-8):	Bibliotecas de fundação do KDE
Summary(ru.UTF-8):	K Desktop Environment - Библиотеки
Summary(uk.UTF-8):	K Desktop Environment - Бібліотеки
Name:		kde4-kdelibs
Version:	4.4.5
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	42813c549777b5b3d6440ef719ef8588
Source1:	%{name}-pld_box.png
Patch100:	%{name}-branch.diff
Patch0:		%{orgname}4-findqt4.patch
Patch1:		%{name}-findboost.patch
Patch2:		%{name}-branding.patch
Patch3:		%{name}-cacert.patch
Patch4:		%{name}-findlzmafix.patch
Patch5:		%{name}-aboutPLD.patch
URL:		http://www.kde.org/
BuildRequires:	OpenEXR-devel >= 1.2.2
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtDesigner-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	acl-devel
BuildRequires:	aspell-devel
BuildRequires:	attica-devel >= 0.1.1
BuildRequires:	audiofile-devel
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	avahi-devel
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	cups-devel
BuildRequires:	enchant-devel
BuildRequires:	fam-devel
BuildRequires:	flex
BuildRequires:	giflib-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	hspell-devel
BuildRequires:	issue
BuildRequires:	jasper-devel >= 1.600
BuildRequires:	libart_lgpl-devel
BuildRequires:	libidn-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 2.0
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5-2
BuildRequires:	libvorbis-devel
BuildRequires:	libwmf-devel >= 2:0.2.0
BuildRequires:	libxml2-devel >= 2.4.9
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-devel >= 1.0.7
BuildRequires:	lua50-devel
BuildRequires:	mdns-bonjour-devel
BuildRequires:	openmotif-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel >= 3.5
BuildRequires:	phonon-devel >= 4.3.80
BuildRequires:	pkgconfig
BuildRequires:	polkit-qt-devel >= 0.9.3
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	shared-desktop-ontologies-devel >= 0.2
BuildRequires:	shared-mime-info >= 0.18
BuildRequires:	soprano-devel >= 2.3.70
BuildRequires:	strigi-devel >= 0.7.0
BuildRequires:	sysstat
BuildRequires:	utempter-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
BuildConflicts:	kdelibs
BuildConflicts:	kdelibs-devel
Requires:	QtCore >= %{qtver}
Requires:	ca-certificates
Requires:	hicolor-icon-theme
Requires:	kde-common-dirs >= 0.5
Requires:	setup >= 2.4.6-7
Requires:	xdg-menus
Requires:	xorg-app-iceauth
Suggests:	kde4-icons
Provides:	kde4-kdelibs-experimental
Provides:	kde4-kdelibs-shared
Obsoletes:	kde4-kdelibs-experimental
Obsoletes:	kde4-kdelibs-libs
Obsoletes:	kde4-kdelibs-shared
Obsoletes:	kdelibs4
Conflicts:	kdelibs
Conflicts:	kdelibs4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# confuses OpenEXR detection
%undefine	configure_cache

%description
This package includes libraries that are central to the development
and execution of a KDE program, misc HTML documentation and theme
modules.

Included in this package are among others:
- kdecore - KDE core library,
- kdeui - KDE user interface library,
- khtml - KDE HTML widget with javascript and CSS support,

%description -l es.UTF-8
Bibliotecas para KDE.

%description -l pl.UTF-8
Ten pakiet zawiera biblioteki potrzebne do rozwijania i uruchamiania
aplikacji KDE, różną dokumentację oraz moduły z motywami wyglądu KDE.

Pakiet ten zawiera między innymi:
- kdecore - podstawową bibliotekę KDE,
- kdeui - interfejs użytkownika KDE,
- khtml - obsługę HTML, javascript oraz CSS dla KDE,

%description -l pt_BR.UTF-8
Bibliotecas de fundação do KDE requeridas por todo e qualquer
aplicativo KDE.

%description -l ru.UTF-8
Библиотеки для K Desktop Environment.

Включены библиотеки KDE:
- jscript (javascript),
- kdecore (ядро KDE),
- kdeui (интерфейс пользователя),
- khtmlw (работа с HTML),
- kimgio (обработка изображений).
- kspell (проверка орфографии),

%description -l uk.UTF-8
Бібліотеки для K Desktop Environment.

Включені такі бібліотеки KDE:
- jscript (javascript),
- kdecore (ядро KDE),
- kdeui (інтерфейс користувача),
- khtmlw (робота з HTML),
- kimgio (обробка зображень).
- kspell (перевірка орфографії),

%package devel
Summary:	kdelibs - header files and development documentation
Summary(pl.UTF-8):	kdelibs - pliki nagłówkowe i dokumentacja do kdelibs
Summary(pt_BR.UTF-8):	Arquivos de inclusão e documentação para compilar aplicativos KDE
Summary(ru.UTF-8):	Хедеры и документация для компилляции программ KDE
Summary(uk.UTF-8):	Хедери та документація для компіляції програм KDE
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt3Support-devel >= %{qtver}
Requires:	QtCore-devel >= %{qtver}
Requires:	QtDBus-devel >= %{qtver}
Requires:	QtDesigner-devel >= %{qtver}
Requires:	QtGui-devel >= %{qtver}
Requires:	QtOpenGL-devel >= %{qtver}
Requires:	QtScript-devel >= %{qtver}
Requires:	QtSvg-devel >= %{qtver}
Requires:	QtTest-devel >= %{qtver}
Requires:	QtUiTools-devel >= %{qtver}
Requires:	QtWebKit-devel >= %{qtver}
Requires:	QtXml-devel >= %{qtver}
Requires:	acl-devel
Requires:	fam-devel
Requires:	libart_lgpl-devel
Requires:	libidn-devel
Requires:	mdns-bonjour-devel
Requires:	pcre-devel
Requires:	phonon-devel
Requires:	xorg-lib-libXmu-devel
Requires:	xorg-lib-libXt-devel
Obsoletes:	kde4-kdelibs-experimental-devel
Conflicts:	kdelibs-devel

%description devel
This package contains header files and development documentation for
kdelibs.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe i dokumentację potrzebną przy
pisaniu własnych programów wykorzystujących kdelibs.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão que são necessários para
compilar aplicativos KDE.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры, необходимые для компиляции программ для
KDE.

%description devel -l uk.UTF-8
Цей пакет містить хедери, необхідні для компіляції програм для KDE.

%prep
%setup -q -n %{orgname}-%{version}
#%patch100 -p0
#%patch0 -p0
#%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p1

%if "%{pld_release}" == "ti"
sed -i -e 's#PLDLINUX_VERSION#PLD/Titanium#g' kio/kio/kprotocolmanager.cpp
%else
sed -i -e 's#PLDLINUX_VERSION#PLD/3.0 (Th)#g' kio/kio/kprotocolmanager.cpp
%endif


%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DCONFIG_INSTALL_DIR=%{_datadir}/config \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
	-DDATA_INSTALL_DIR=%{_datadir}/apps \
	-DKCFG_INSTALL_DIR=%{_datadir}/config.kcfg \
	-DMIME_INSTALL_DIR=/nogo \
	-DTEMPLATES_INSTALL_DIR=%{_datadir}/templates \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DKDE_DISTRIBUTION_TEXT="PLD-Linux" \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	-DKDE4_ENABLE_FINAL=OFF \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d \
	$RPM_BUILD_ROOT/etc/security \
	$RPM_BUILD_ROOT%{_libdir}/kconf_update_bin \
	$RPM_BUILD_ROOT%{_datadir}/applnk/.hidden \
	$RPM_BUILD_ROOT%{_datadir}/apps/khtml/kpartplugins \
	$RPM_BUILD_ROOT%{_datadir}/apps/desktoptheme \
	$RPM_BUILD_ROOT%{_datadir}/apps/desktoptheme/default \
	$RPM_BUILD_ROOT%{_datadir}/config/magic \
	$RPM_BUILD_ROOT%{_datadir}/config.kcfg \
	$RPM_BUILD_ROOT%{_datadir}/services/kconfiguredialog \
	$RPM_BUILD_ROOT%{_desktopdir}/kde4 \
	$RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus \

install %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/apps/kdeui/pics/pld_box.png

# DO NOT PACKAGE THIS FILE vvvv - use applnk
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications.menu

# USE ca-certificates
rm -f $RPM_BUILD_ROOT%{_datadir}/apps/kssl/ca-bundle.crt

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%dir %{_docdir}/kde
# from kde4-kdebase.spec - old common subpackage
%dir %{_desktopdir}/kde4
# DO NOT PACKAGE THIS FILE vvvv - use applnk
#%{_sysconfdir}/xdg/menus/applications.menu
%attr(755,root,root) %{_bindir}/kjs
%attr(755,root,root) %{_bindir}/kbuildsycoca4
%attr(755,root,root) %{_bindir}/kcookiejar4
%attr(755,root,root) %{_bindir}/kde4-config
%attr(755,root,root) %{_bindir}/kded4
%attr(755,root,root) %{_bindir}/kdeinit4
%attr(755,root,root) %{_bindir}/kdeinit4_shutdown
%attr(755,root,root) %{_bindir}/kdeinit4_wrapper
%attr(755,root,root) %{_bindir}/kjscmd
%attr(755,root,root) %{_bindir}/kross
%attr(755,root,root) %{_bindir}/kshell4
%attr(755,root,root) %{_bindir}/kwrapper4
%attr(755,root,root) %{_bindir}/meinproc4
%attr(755,root,root) %{_bindir}/nepomuk-rcgen
%attr(755,root,root) %{_bindir}/preparetips
%attr(755,root,root) %{_bindir}/checkXML
%attr(755,root,root) %{_bindir}/kunittestmodrunner
%attr(755,root,root) %{_bindir}/makekdewidgets
%{_kdedocdir}/en/sonnet
%{_mandir}/man1/kde4-config.1*
%{_mandir}/man1/kdecmake.1*
%{_mandir}/man1/kjs.1*
%{_mandir}/man1/kjscmd.1*
%{_mandir}/man1/kross.1*
%{_mandir}/man1/makekdewidgets.1*
%{_mandir}/man7/kdeoptions.7*
%{_mandir}/man7/qtoptions.7*
%{_mandir}/man8/kbuildsycoca4.8*
%{_mandir}/man8/kded4.8*
%{_mandir}/man8/kdeinit4.8*
%{_mandir}/man8/kcookiejar4.8*
%{_mandir}/man8/meinproc4.8*

%attr(755,root,root) %{_datadir}/apps/kconf_update/*.pl
%{_datadir}/apps/kconf_update/*.upd
%{_datadir}/apps/kconf_update/*.upd.sh
%{_datadir}/apps/kconf_update/move_kio_help_cache.sh
%{_datadir}/apps/LICENSES
#%{_datadir}/apps/kcertpart
%{_datadir}/apps/khtml/css/presentational.css
%{_datadir}/apps/khtml/domain_info
%{_datadir}/apps/khtml/error.html
%{_datadir}/apps/khtml/khtml.rc
%{_datadir}/apps/khtml/kpartplugins
%{_datadir}/apps/kjava/kjava.policy
%{_datadir}/apps/kjava/pluginsinfo
# %{_datadir}/apps/ktexteditor_docwordcompletion
%{_datadir}/apps/ktexteditor_insertfile
%{_datadir}/apps/ktexteditor_kdatatool
%{_datadir}/apps/ktexteditor_exporter
%{_datadir}/apps/proxyscout
%{_datadir}/apps/kcharselect
%{_datadir}/apps/knewstuff

%{_iconsdir}/hicolor/*x*/actions/*.png

%dir %{_datadir}/applnk
%dir %{_datadir}/applnk/.hidden
%dir %{_datadir}/apps/desktoptheme
%dir %{_datadir}/apps/desktoptheme/default
%dir %{_datadir}/services/kconfiguredialog
%{_datadir}/config/accept-languages.codes
%{_datadir}/config/colors
%{_datadir}/config/ksslcalist
%{_datadir}/config/magic
%{_datadir}/config/katemoderc
%{_datadir}/config/katepartpluginsrc
%{_datadir}/mime/packages/*
%{_datadir}/kde4/servicetypes
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/services/*.protocol
%dir %{_datadir}/kde4/services/kded
%{_datadir}/kde4/services/kded/*
%dir %{_datadir}/kde4/services/qimageioplugins
%{_datadir}/kde4/services/qimageioplugins/*
%dir %{_datadir}/kde4/services/ServiceMenus

%{_datadir}/dbus-1/interfaces/*.xml

# kcmremotewidgets
%{_datadir}/PolicyKit/policy/org.kde.kcontrol.kcmremotewidgets.policy
/etc/dbus-1/system.d/org.kde.kcontrol.kcmremotewidgets.conf
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmremotewidgets.service

# kauth
%{_datadir}/apps/kauth
/etc/dbus-1/system.d/org.kde.auth.conf

%dir %{_datadir}/apps/plasma
%dir %{_datadir}/apps/plasma/services
%{_datadir}/apps/plasma/services/dataengineservice.operations
%{_datadir}/apps/plasma/services/plasmoidservice.operations

%{_datadir}/apps/katepart
%{_datadir}/apps/kcm_componentchooser
%{_datadir}/apps/kdeui
%{_datadir}/apps/kdewidgets
%{_datadir}/apps/nepomuk
%dir %{_datadir}/apps/khtml
%dir %{_datadir}/apps/khtml/css
%{_datadir}/apps/khtml/css/html4.css
%{_datadir}/apps/khtml/css/quirks.css
%{_datadir}/apps/khtml/khtml_browser.rc
%dir %{_datadir}/apps/kjava
%{_datadir}/apps/kjava/kjava.jar
%{_datadir}/apps/ksgmltools2
%{_datadir}/apps/kssl
%dir %{_datadir}/config
%dir %{_datadir}/config/ui
%{_datadir}/config/ui/ui_standards.rc
%{_datadir}/config/kdebug.areas
%{_datadir}/config/kdebugrc
%{_datadir}/config/plasmoids.knsrc
%{_datadir}/locale/all_languages
%{_mandir}/man1/checkXML.1*
%lang(en) %{_kdedocdir}/en/common
%lang(en) %{_kdedocdir}/en/kioslave

%attr(755,root,root) %{_libdir}/libkde3support.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkde3support.so.?
%attr(755,root,root) %{_libdir}/libkdecore.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdecore.so.?
%attr(755,root,root) %{_libdir}/libkdefakes.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdefakes.so.?
%attr(755,root,root) %{_libdir}/libkdesu.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdesu.so.?
%attr(755,root,root) %{_libdir}/libkdeui.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdeui.so.?
%attr(755,root,root) %{_libdir}/libkdnssd.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdnssd.so.?
%attr(755,root,root) %{_libdir}/libkfile.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkfile.so.?
%attr(755,root,root) %{_libdir}/libkhtml.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkhtml.so.?
%attr(755,root,root) %{_libdir}/libkimproxy.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkimproxy.so.?
%attr(755,root,root) %{_libdir}/libkio.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkio.so.?
%attr(755,root,root) %{_libdir}/libkjs.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkjs.so.?
%attr(755,root,root) %{_libdir}/libkjsapi.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkjsapi.so.?
%attr(755,root,root) %{_libdir}/libkjsembed.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkjsembed.so.?
%attr(755,root,root) %{_libdir}/libkmediaplayer.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkmediaplayer.so.?
%attr(755,root,root) %{_libdir}/libknewstuff2.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libknewstuff2.so.?
%attr(755,root,root) %{_libdir}/libknewstuff3.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libknewstuff3.so.?
%attr(755,root,root) %{_libdir}/libknotifyconfig.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libknotifyconfig.so.?
%attr(755,root,root) %{_libdir}/libkntlm.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkntlm.so.?
%attr(755,root,root) %{_libdir}/libkparts.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkparts.so.?
%attr(755,root,root) %{_libdir}/libkpty.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkpty.so.?
%attr(755,root,root) %{_libdir}/libkrosscore.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkrosscore.so.?
%attr(755,root,root) %{_libdir}/libkrossui.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkrossui.so.?
%attr(755,root,root) %{_libdir}/libktexteditor.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libktexteditor.so.?
%attr(755,root,root) %{_libdir}/libkunitconversion.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkunitconversion.so.?
%attr(755,root,root) %{_libdir}/libkunittest.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkunittest.so.?
%attr(755,root,root) %{_libdir}/libkutils.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libkutils.so.?
%attr(755,root,root) %{_libdir}/libnepomuk.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libnepomuk.so.?
%attr(755,root,root) %{_libdir}/libnepomukquery.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libnepomukquery.so.?
%attr(755,root,root) %{_libdir}/libplasma.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libplasma.so.?
%attr(755,root,root) %{_libdir}/libsolid.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libsolid.so.?
%attr(755,root,root) %{_libdir}/libthreadweaver.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libthreadweaver.so.?
%attr(755,root,root) %{_libdir}/libkdewebkit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdewebkit.so.?

%attr(755,root,root) %{_libdir}/libkdeinit4_kbuildsycoca4.so
%attr(755,root,root) %{_libdir}/libkdeinit4_kded4.so
%attr(755,root,root) %{_libdir}/libkdeinit4_kconf_update.so
%attr(755,root,root) %{_libdir}/libkdeinit4_kio_http_cache_cleaner.so
%attr(755,root,root) %{_libdir}/libkdeinit4_klauncher.so

%attr(755,root,root) %{_libdir}/kde4/*.so
%dir %{_libdir}/kde4/plugins/kauth
%dir %{_libdir}/kde4/plugins/kauth/backend
%attr(755,root,root) %{_libdir}/kde4/plugins/kauth/backend/kauth_backend_plugin.so
%dir %{_libdir}/kde4/plugins/kauth/helper
%attr(755,root,root) %{_libdir}/kde4/plugins/kauth/helper/kauth_helper_plugin.so
%dir %{_libdir}/kde4/plugins/designer
%attr(755,root,root) %{_libdir}/kde4/plugins/designer/kdewidgets.so
%attr(755,root,root) %{_libdir}/kde4/plugins/designer/kde3supportwidgets.so
%dir %{_libdir}/kde4/plugins/imageformats
%attr(755,root,root) %{_libdir}/kde4/plugins/imageformats/kimg*.so
%dir %{_libdir}/kde4/plugins/script
%attr(755,root,root) %{_libdir}/kde4/plugins/script/libkrossqtsplugin.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/plugins/script/libkrossqtsplugin.so.?
%attr(755,root,root) %{_libdir}/kde4/plugins/script/libkrossqtsplugin.so
%dir %{_libdir}/kconf_update_bin
%dir %{_libdir}/kde4/libexec
%attr(755,root,root) %{_libdir}/kde4/libexec/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kconfig_compiler
%attr(755,root,root) %{_libdir}/libkde3support.so
%attr(755,root,root) %{_libdir}/libkdecore.so
%attr(755,root,root) %{_libdir}/libkdefakes.so
%attr(755,root,root) %{_libdir}/libkdesu.so
%attr(755,root,root) %{_libdir}/libkdeui.so
%attr(755,root,root) %{_libdir}/libkdnssd.so
%attr(755,root,root) %{_libdir}/libkfile.so
%attr(755,root,root) %{_libdir}/libkhtml.so
%attr(755,root,root) %{_libdir}/libkimproxy.so
%attr(755,root,root) %{_libdir}/libkio.so
%attr(755,root,root) %{_libdir}/libkjs.so
%attr(755,root,root) %{_libdir}/libkjsapi.so
%attr(755,root,root) %{_libdir}/libkjsembed.so
%attr(755,root,root) %{_libdir}/libkmediaplayer.so
%attr(755,root,root) %{_libdir}/libknewstuff2.so
%attr(755,root,root) %{_libdir}/libknewstuff3.so
%attr(755,root,root) %{_libdir}/libknotifyconfig.so
%attr(755,root,root) %{_libdir}/libkntlm.so
%attr(755,root,root) %{_libdir}/libkparts.so
%attr(755,root,root) %{_libdir}/libkpty.so
%attr(755,root,root) %{_libdir}/libkrosscore.so
%attr(755,root,root) %{_libdir}/libkrossui.so
%attr(755,root,root) %{_libdir}/libktexteditor.so
%attr(755,root,root) %{_libdir}/libkunitconversion.so
%attr(755,root,root) %{_libdir}/libkunittest.so
%attr(755,root,root) %{_libdir}/libkutils.so
%attr(755,root,root) %{_libdir}/libnepomuk.so
%attr(755,root,root) %{_libdir}/libnepomukquery.so
%attr(755,root,root) %{_libdir}/libplasma.so
%attr(755,root,root) %{_libdir}/libsolid.so
%attr(755,root,root) %{_libdir}/libthreadweaver.so
%attr(755,root,root) %{_libdir}/libkdewebkit.so

%{_datadir}/apps/cmake
%{_includedir}/KDE/ConversionCheck
%{_includedir}/KDE/DNSSD
%{_includedir}/KDE/DOM
%{_includedir}/KDE/K3AboutApplication
%{_includedir}/KDE/K3AboutContainer
%{_includedir}/KDE/K3AboutContributor
%{_includedir}/KDE/K3AboutDialog
%{_includedir}/KDE/K3AboutWidget
%{_includedir}/KDE/K3ActiveLabel
%{_includedir}/KDE/K3BookmarkDrag
%{_includedir}/KDE/K3ButtonBox
%{_includedir}/KDE/K3ColorDrag
%{_includedir}/KDE/K3Command
%{_includedir}/KDE/K3CommandHistory
%{_includedir}/KDE/K3DictSpellingHighlighter
%{_includedir}/KDE/K3DockArea
%{_includedir}/KDE/K3DockMainWindow
%{_includedir}/KDE/K3DockManager
%{_includedir}/KDE/K3DockTabGroup
%{_includedir}/KDE/K3DockWidget
%{_includedir}/KDE/K3DockWidgetAbstractHeader
%{_includedir}/KDE/K3DockWidgetAbstractHeaderDrag
%{_includedir}/KDE/K3DockWidgetHeader
%{_includedir}/KDE/K3DockWidgetHeaderDrag
%{_includedir}/KDE/KFileItemActions
%{_includedir}/KDE/KFileItemListProperties
%{_includedir}/KDE/K3FileTreeView
%{_includedir}/KDE/K3FileTreeViewItem
%{_includedir}/KDE/K3Icon
%{_includedir}/KDE/K3IconView
%{_includedir}/KDE/K3IconViewItem
%{_includedir}/KDE/K3IconViewSearchLine
%{_includedir}/KDE/K3ListBox
%{_includedir}/KDE/K3ListView
%{_includedir}/KDE/K3ListViewItem
%{_includedir}/KDE/K3ListViewSearchLine
%{_includedir}/KDE/K3ListViewSearchLineWidget
%{_includedir}/KDE/K3MacroCommand
%{_includedir}/KDE/K3MimeSourceFactory
%{_includedir}/KDE/K3MultipleDrag
%{_includedir}/KDE/K3NamedCommand
%{_includedir}/KDE/K3PopupMenu
%{_includedir}/KDE/K3ProcIO
%{_includedir}/KDE/K3Process
%{_includedir}/KDE/K3ProcessController
%{_includedir}/KDE/K3RFCDate
%{_includedir}/KDE/K3ShellProcess
%{_includedir}/KDE/K3Spell
%{_includedir}/KDE/K3SpellConfig
%{_includedir}/KDE/K3SpellDlg
%{_includedir}/KDE/K3SpellingHighlighter
%{_includedir}/KDE/K3StaticDeleter
%{_includedir}/KDE/K3StaticDeleterBase
%{_includedir}/KDE/K3SyntaxHighlighter
%{_includedir}/KDE/K3TempFile
%{_includedir}/KDE/K3TextEdit
%{_includedir}/KDE/K3URLDrag
%{_includedir}/KDE/K3Wizard
%{_includedir}/KDE/KACL
%{_includedir}/KDE/KAboutApplicationDialog
%{_includedir}/KDE/KAboutData
%{_includedir}/KDE/KAboutPerson
%{_includedir}/KDE/KAccelGen
%{_includedir}/KDE/KAcceleratorManager
%{_includedir}/KDE/KAction
%{_includedir}/KDE/KActionCategory
%{_includedir}/KDE/KActionCollection
%{_includedir}/KDE/KActionMenu
%{_includedir}/KDE/KActionSelector
%{_includedir}/KDE/KAnimatedButton
%{_includedir}/KDE/KApplication
%{_includedir}/KDE/KAr
%{_includedir}/KDE/KArchive
%{_includedir}/KDE/KArchiveDirectory
%{_includedir}/KDE/KArchiveEntry
%{_includedir}/KDE/KArchiveFile
%{_includedir}/KDE/KArrowButton
%{_includedir}/KDE/KAssistantDialog
%{_includedir}/KDE/KAuth
%{_includedir}/KDE/KAuthorized
%{_includedir}/KDE/KAutoMount
%{_includedir}/KDE/KAutoUnmount
%{_includedir}/KDE/KAutostart
%{_includedir}/KDE/KBookmark
%{_includedir}/KDE/KBookmarkAction
%{_includedir}/KDE/KBookmarkActionInterface
%{_includedir}/KDE/KBookmarkActionMenu
%{_includedir}/KDE/KBookmarkDialog
%{_includedir}/KDE/KBookmarkDomBuilder
%{_includedir}/KDE/KBookmarkExporterBase
%{_includedir}/KDE/KBookmarkGroup
%{_includedir}/KDE/KBookmarkGroupTraverser
%{_includedir}/KDE/KBookmarkImporterBase
%{_includedir}/KDE/KBookmarkManager
%{_includedir}/KDE/KBookmarkMenu
%{_includedir}/KDE/KBookmarkOwner
%{_includedir}/KDE/KBugReport
%{_includedir}/KDE/KBuildSycocaProgressDialog
%{_includedir}/KDE/KButtonGroup
%{_includedir}/KDE/KCModule
%{_includedir}/KDE/KCModuleContainer
%{_includedir}/KDE/KCModuleInfo
%{_includedir}/KDE/KCModuleLoader
%{_includedir}/KDE/KCModuleProxy
%{_includedir}/KDE/KCMultiDialog
%{_includedir}/KDE/KCalendarSystem
%{_includedir}/KDE/KCalendarSystemFactory
%{_includedir}/KDE/KCategorizedSortFilterProxyModel
%{_includedir}/KDE/KCategorizedView
%{_includedir}/KDE/KCategoryDrawer
%{_includedir}/KDE/KCharMacroExpander
%{_includedir}/KDE/KCharSelect
%{_includedir}/KDE/KCharsets
%{_includedir}/KDE/KCmdLineArgs
%{_includedir}/KDE/KCmdLineOptions
%{_includedir}/KDE/KCodecs
%{_includedir}/KDE/KColor
%{_includedir}/KDE/KColorButton
%{_includedir}/KDE/KColorCells
%{_includedir}/KDE/KColorCollection
%{_includedir}/KDE/KColorCombo
%{_includedir}/KDE/KColorDialog
%{_includedir}/KDE/KColorMimeData
%{_includedir}/KDE/KColorPatch
%{_includedir}/KDE/KColorScheme
%{_includedir}/KDE/KColorTable
%{_includedir}/KDE/KColorUtils
%{_includedir}/KDE/KColorValueSelector
%{_includedir}/KDE/KComboBox
%{_includedir}/KDE/KCompletion
%{_includedir}/KDE/KCompletionBase
%{_includedir}/KDE/KCompletionBox
%{_includedir}/KDE/KCompletionMatches
%{_includedir}/KDE/KComponentData
%{_includedir}/KDE/KCompositeJob
%{_includedir}/KDE/KConfig
%{_includedir}/KDE/KConfigBase
%{_includedir}/KDE/KConfigDialog
%{_includedir}/KDE/KConfigDialogManager
%{_includedir}/KDE/KConfigGroup
%{_includedir}/KDE/KConfigSkeleton
%{_includedir}/KDE/KConfigSkeletonGenericItem
%{_includedir}/KDE/KConfigSkeletonItem
%{_includedir}/KDE/KCrash
%{_includedir}/KDE/KCrashBookmarkImporter
%{_includedir}/KDE/KCrashBookmarkImporterImpl
%{_includedir}/KDE/KCursor
%{_includedir}/KDE/KDBusServiceStarter
%{_includedir}/KDE/KDEDModule
%{_includedir}/KDE/KDEsuClient
%{_includedir}/KDE/KDataTool
%{_includedir}/KDE/KDataToolAction
%{_includedir}/KDE/KDataToolInfo
%{_includedir}/KDE/KDatePicker
%{_includedir}/KDE/KDateTable
%{_includedir}/KDE/KDateTime
%{_includedir}/KDE/KDateTimeWidget
%{_includedir}/KDE/KDateValidator
%{_includedir}/KDE/KDateWidget
%{_includedir}/KDE/KDebug
%{_includedir}/KDE/KDesktopFile
%{_includedir}/KDE/KDialog
%{_includedir}/KDE/KDialogButtonBox
%{_includedir}/KDE/KDirLister
%{_includedir}/KDE/KDirModel
%{_includedir}/KDE/KDirNotify
%{_includedir}/KDE/KDirOperator
%{_includedir}/KDE/KDirSelectDialog
%{_includedir}/KDE/KDirSortFilterProxyModel
%{_includedir}/KDE/KDirWatch
%{_includedir}/KDE/KDiskFreeSpace
%{_includedir}/KDE/KDiskFreeSpaceInfo
%{_includedir}/KDE/KDoubleNumInput
%{_includedir}/KDE/KDoubleValidator
%{_includedir}/KDE/KEMailSettings
%{_includedir}/KDE/KEditListBox
%{_includedir}/KDE/KEditToolBar
%{_includedir}/KDE/KEmoticons
%{_includedir}/KDE/KEmoticonsProvider
%{_includedir}/KDE/KEmoticonsTheme
%{_includedir}/KDE/KEncodingFileDialog
%{_includedir}/KDE/KEncodingProber
%{_includedir}/KDE/KExtendableItemDelegate
%{_includedir}/KDE/KFadeWidgetEffect
%{_includedir}/KDE/KFile
%{_includedir}/KDE/KFileDialog
%{_includedir}/KDE/KFileFilterCombo
%{_includedir}/KDE/KFileItem
%{_includedir}/KDE/KFileItemDelegate
%{_includedir}/KDE/KFileItemList
%{_includedir}/KDE/KFileMetaInfo
%{_includedir}/KDE/KFileMetaInfoGroup
%{_includedir}/KDE/KFileMetaInfoItem
%{_includedir}/KDE/KFilePlacesModel
%{_includedir}/KDE/KFilePlacesView
%{_includedir}/KDE/KFilePreviewGenerator
%{_includedir}/KDE/KFileShare
%{_includedir}/KDE/KFileSharePropsPlugin
%{_includedir}/KDE/KFileTreeBranch
%{_includedir}/KDE/KFileTreeView
%{_includedir}/KDE/KFileWidget
%{_includedir}/KDE/KFilterBase
%{_includedir}/KDE/KFilterDev
%{_includedir}/KDE/KFilterProxySearchLine
%{_includedir}/KDE/KFind
%{_includedir}/KDE/KFindDialog
%{_includedir}/KDE/KFloatValidator
%{_includedir}/KDE/KFontAction
%{_includedir}/KDE/KFontChooser
%{_includedir}/KDE/KFontComboBox
%{_includedir}/KDE/KFontDialog
%{_includedir}/KDE/KFontRequester
%{_includedir}/KDE/KFontSizeAction
%{_includedir}/KDE/KGenericFactory
%{_includedir}/KDE/KGenericFactoryBase
%{_includedir}/KDE/KGlobal
%{_includedir}/KDE/KGlobalAccel
%{_includedir}/KDE/KGlobalSettings
%{_includedir}/KDE/KGradientSelector
%{_includedir}/KDE/KGraphicsWebView
%{_includedir}/KDE/KGuiItem
%{_includedir}/KDE/KHBox
%{_includedir}/KDE/KHE
%{_includedir}/KDE/KHTMLPart
%{_includedir}/KDE/KHTMLSettings
%{_includedir}/KDE/KHTMLView
%{_includedir}/KDE/KHelpMenu
%{_includedir}/KDE/KHistoryComboBox
%{_includedir}/KDE/KHueSaturationSelector
%{_includedir}/KDE/KIEBookmarkExporterImpl
%{_includedir}/KDE/KIEBookmarkImporter
%{_includedir}/KDE/KIEBookmarkImporterImpl
%{_includedir}/KDE/KIMProxy
%{_includedir}/KDE/KIO
%{_includedir}/KDE/KIcon
%{_includedir}/KDE/KIconButton
%{_includedir}/KDE/KIconCanvas
%{_includedir}/KDE/KIconDialog
%{_includedir}/KDE/KIconEffect
%{_includedir}/KDE/KIconLoader
%{_includedir}/KDE/KIconTheme
%{_includedir}/KDE/KImageFilePreview
%{_includedir}/KDE/KImageIO
%{_includedir}/KDE/KInputDialog
%{_includedir}/KDE/KIntNumInput
%{_includedir}/KDE/KIntSpinBox
%{_includedir}/KDE/KIntValidator
%{_includedir}/KDE/KJob
%{_includedir}/KDE/KJobUiDelegate
%{_includedir}/KDE/KKeySequenceWidget
%{_includedir}/KDE/KLanguageButton
%{_includedir}/KDE/KLed
%{_includedir}/KDE/KLibFactory
%{_includedir}/KDE/KLibLoader
%{_includedir}/KDE/KLibrary
%{_includedir}/KDE/KLineEdit
%{_includedir}/KDE/KListWidget
%{_includedir}/KDE/KListWidgetSearchLine
%{_includedir}/KDE/KLocale
%{_includedir}/KDE/KLocalizedString
%{_includedir}/KDE/KLockFile
%{_includedir}/KDE/KMD5
%{_includedir}/KDE/KMacroExpanderBase
%{_includedir}/KDE/KMainWindow
%{_includedir}/KDE/KMakeTypeList
%{_includedir}/KDE/KMediaPlayer
%{_includedir}/KDE/KMenu
%{_includedir}/KDE/KMenuBar
%{_includedir}/KDE/KMessage
%{_includedir}/KDE/KMessageBox
%{_includedir}/KDE/KMessageBoxMessageHandler
%{_includedir}/KDE/KMessageHandler
%{_includedir}/KDE/KMimeType
%{_includedir}/KDE/KMimeTypeChooser
%{_includedir}/KDE/KMimeTypeChooserDialog
%{_includedir}/KDE/KMimeTypeResolver
%{_includedir}/KDE/KMimeTypeTrader
%{_includedir}/KDE/KMimeTypeValidator
%{_includedir}/KDE/KModifierKeyInfo
%{_includedir}/KDE/KMozillaBookmarkImporterImpl
%{_includedir}/KDE/KMultiTabBar
%{_includedir}/KDE/KMultiTabBarButton
%{_includedir}/KDE/KMultiTabBarTab
%{_includedir}/KDE/KNFSShare
%{_includedir}/KDE/KNS3
%{_includedir}/KDE/KNS
%{_includedir}/KDE/KNSBookmarkExporter
%{_includedir}/KDE/KNSBookmarkExporterImpl
%{_includedir}/KDE/KNSBookmarkImporter
%{_includedir}/KDE/KNSBookmarkImporterImpl
%{_includedir}/KDE/KNTLM
%{_includedir}/KDE/KNetwork
%{_includedir}/KDE/KNotification
%{_includedir}/KDE/KNotificationRestrictions
%{_includedir}/KDE/KNotifyConfigWidget
%{_includedir}/KDE/KNumInput
%{_includedir}/KDE/KOCRDialog
%{_includedir}/KDE/KOpenWithDialog
%{_includedir}/KDE/KOperaBookmarkExporterImpl
%{_includedir}/KDE/KOperaBookmarkImporter
%{_includedir}/KDE/KOperaBookmarkImporterImpl
%{_includedir}/KDE/KPageDialog
%{_includedir}/KDE/KPageModel
%{_includedir}/KDE/KPageView
%{_includedir}/KDE/KPageWidget
%{_includedir}/KDE/KPageWidgetItem
%{_includedir}/KDE/KPageWidgetModel
%{_includedir}/KDE/KParts
%{_includedir}/KDE/KPassivePopup
%{_includedir}/KDE/KPassivePopupMessageHandler
%{_includedir}/KDE/KPasswordDialog
%{_includedir}/KDE/KPasteTextAction
%{_includedir}/KDE/KPixmapCache
%{_includedir}/KDE/KPixmapProvider
%{_includedir}/KDE/KPixmapRegionSelectorDialog
%{_includedir}/KDE/KPixmapRegionSelectorWidget
%{_includedir}/KDE/KPixmapSequence
%{_includedir}/KDE/KPixmapSequenceOverlayPainter
#%{_includedir}/KDE/KPixmapSequenceOverlayWidget
%{_includedir}/KDE/KPlotAxis
%{_includedir}/KDE/KPlotObject
%{_includedir}/KDE/KPlotPoint
%{_includedir}/KDE/KPlotWidget
%{_includedir}/KDE/KPluginFactory
%{_includedir}/KDE/KPluginInfo
%{_includedir}/KDE/KPluginLoader
%{_includedir}/KDE/KPluginSelector
%{_includedir}/KDE/KPopupFrame
%{_includedir}/KDE/KPreviewWidgetBase
%{_includedir}/KDE/KPrintPreview
%{_includedir}/KDE/KProcess
%{_includedir}/KDE/KProgressDialog
%{_includedir}/KDE/KPropertiesDialog
%{_includedir}/KDE/KProtocolInfo
%{_includedir}/KDE/KProtocolManager
%{_includedir}/KDE/KPty
%{_includedir}/KDE/KPtyDevice
%{_includedir}/KDE/KPtyProcess
%{_includedir}/KDE/KPushButton
%{_includedir}/KDE/KRandom
%{_includedir}/KDE/KRandomSequence
%{_includedir}/KDE/KRecentDocument
%{_includedir}/KDE/KRecentFilesAction
%{_includedir}/KDE/KRemoteEncoding
%{_includedir}/KDE/KReplace
%{_includedir}/KDE/KReplaceDialog
%{_includedir}/KDE/KRestrictedLine
%{_includedir}/KDE/KRichTextEdit
%{_includedir}/KDE/KRichTextWidget
%{_includedir}/KDE/KRuler
%{_includedir}/KDE/KRun
%{_includedir}/KDE/KSambaShare
%{_includedir}/KDE/KSaveFile
%{_includedir}/KDE/KScanDialog
%{_includedir}/KDE/KSelectAction
%{_includedir}/KDE/KSelectionOwner
%{_includedir}/KDE/KSelectionWatcher
%{_includedir}/KDE/KSelector
%{_includedir}/KDE/KSeparator
%{_includedir}/KDE/KService
%{_includedir}/KDE/KServiceGroup
%{_includedir}/KDE/KServiceType
%{_includedir}/KDE/KServiceTypeProfile
%{_includedir}/KDE/KServiceTypeTrader
%{_includedir}/KDE/KSessionManager
%{_includedir}/KDE/KSettings
%{_includedir}/KDE/KSharedConfig
%{_includedir}/KDE/KSharedConfigPtr
%{_includedir}/KDE/KSharedPtr
%{_includedir}/KDE/KShell
%{_includedir}/KDE/KShellCompletion
%{_includedir}/KDE/KShortcut
%{_includedir}/KDE/KShortcutsDialog
%{_includedir}/KDE/KShortcutsEditor
%{_includedir}/KDE/KSocks
%{_includedir}/KDE/KSortableItem
%{_includedir}/KDE/KSortableList
%{_includedir}/KDE/KSpeech
%{_includedir}/KDE/KSplashScreen
%{_includedir}/KDE/KSqueezedTextLabel
%{_includedir}/KDE/KStandardAction
%{_includedir}/KDE/KStandardDirs
%{_includedir}/KDE/KStandardGuiItem
%{_includedir}/KDE/KStandardShortcut
%{_includedir}/KDE/KStartupInfo
%{_includedir}/KDE/KStartupInfoData
%{_includedir}/KDE/KStartupInfoId
%{_includedir}/KDE/KStatusBar
%{_includedir}/KDE/KStatusNotifierItem
%{_includedir}/KDE/KStringHandler
%{_includedir}/KDE/KStringListValidator
%{_includedir}/KDE/KStyle
%{_includedir}/KDE/KStyleFactory
%{_includedir}/KDE/KSvgRenderer
%{_includedir}/KDE/KSycoca
%{_includedir}/KDE/KSycocaEntry
%{_includedir}/KDE/KSystemTimeZone
%{_includedir}/KDE/KSystemTimeZoneSource
%{_includedir}/KDE/KSystemTimeZones
%{_includedir}/KDE/KSystemTrayIcon
%{_includedir}/KDE/KTabBar
%{_includedir}/KDE/KTabWidget
%{_includedir}/KDE/KTar
%{_includedir}/KDE/KTempDir
%{_includedir}/KDE/KTemporaryFile
%{_includedir}/KDE/KTextBrowser
%{_includedir}/KDE/KTextEdit
%{_includedir}/KDE/KTextEditor
%{_includedir}/KDE/KTimeZone
%{_includedir}/KDE/KTimeZoneData
%{_includedir}/KDE/KTimeZoneSource
%{_includedir}/KDE/KTimeZoneWidget
%{_includedir}/KDE/KTimeZones
%{_includedir}/KDE/KTipDatabase
%{_includedir}/KDE/KTipDialog
%{_includedir}/KDE/KTitleWidget
%{_includedir}/KDE/KToggleAction
%{_includedir}/KDE/KToggleFullScreenAction
%{_includedir}/KDE/KToggleToolBarAction
%{_includedir}/KDE/KToolBar
%{_includedir}/KDE/KToolBarLabelAction
%{_includedir}/KDE/KToolBarPopupAction
%{_includedir}/KDE/KToolBarSpacerAction
%{_includedir}/KDE/KToolInvocation
%{_includedir}/KDE/KTreeWidgetSearchLine
%{_includedir}/KDE/KTreeWidgetSearchLineWidget
%{_includedir}/KDE/KTypeList
%{_includedir}/KDE/KTypeListIndexOf
%{_includedir}/KDE/KTypeListLength
%{_includedir}/KDE/KTzfileTimeZone
%{_includedir}/KDE/KTzfileTimeZoneSource
%{_includedir}/KDE/KUndoStack
%{_includedir}/KDE/KUniqueApplication
%{_includedir}/KDE/KUnitConversion
%{_includedir}/KDE/KUnitTest
%{_includedir}/KDE/KUriFilter
%{_includedir}/KDE/KUriFilterData
%{_includedir}/KDE/KUriFilterPlugin
%{_includedir}/KDE/KUrl
%{_includedir}/KDE/KUrlComboBox
%{_includedir}/KDE/KUrlComboRequester
%{_includedir}/KDE/KUrlCompletion
%{_includedir}/KDE/KUrlLabel
%{_includedir}/KDE/KUrlNavigator
%{_includedir}/KDE/KUrlPixmapProvider
%{_includedir}/KDE/KUrlRequester
%{_includedir}/KDE/KUrlRequesterDialog
%{_includedir}/KDE/KUser
%{_includedir}/KDE/KUserGroup
%{_includedir}/KDE/KVBox
%{_includedir}/KDE/KWallet
%{_includedir}/KDE/KWebPage
%{_includedir}/KDE/KWebPluginFactory
%{_includedir}/KDE/KWebView
%{_includedir}/KDE/KWidgetItemDelegate
%{_includedir}/KDE/KWindowInfo
%{_includedir}/KDE/KWindowSystem
%{_includedir}/KDE/KWordMacroExpander
%{_includedir}/KDE/KWordWrap
%{_includedir}/KDE/KXBELBookmarkImporterImpl
%{_includedir}/KDE/KXErrorHandler
%{_includedir}/KDE/KXMLGUIBuilder
%{_includedir}/KDE/KXMLGUIClient
%{_includedir}/KDE/KXMLGUIFactory
%{_includedir}/KDE/KXMessages
%{_includedir}/KDE/KXYSelector
%{_includedir}/KDE/KXmlGuiWindow
%{_includedir}/KDE/KZip
%{_includedir}/KDE/KZipFileEntry
%{_includedir}/KDE/KZoneAllocator
%{_includedir}/KDE/KonqBookmarkMenu
%{_includedir}/KDE/KonqBookmarkOwner
%{_includedir}/KDE/Kross
%{_includedir}/KDE/NET
%{_includedir}/KDE/NETRootInfo
%{_includedir}/KDE/NETWinInfo
%{_includedir}/KDE/Nepomuk
%{_includedir}/KDE/OrgKdeKDirNotifyInterface
%{_includedir}/KDE/OrgKdeKLauncherInterface
%{_includedir}/KDE/PtyProcess
%{_includedir}/KDE/Solid
%{_includedir}/KDE/Sonnet
%{_includedir}/KDE/SshProcess
%{_includedir}/KDE/StubProcess
%{_includedir}/KDE/SuProcess
%{_includedir}/KDE/ThreadWeaver
%{_includedir}/KDE/ThumbCreator
%{_includedir}/KDE/kdbgstream
%{_includedir}/KDE/khtml
%{_includedir}/KDE/kndbgstream
%{_includedir}/KDE/Plasma
%dir %{_includedir}/plasma
%{_includedir}/plasma/*
%dir %{_includedir}/dnssd
%{_includedir}/dnssd/*
%dir %{_includedir}/dom
%{_includedir}/dom/*
%dir %{_includedir}/kdesu
%{_includedir}/kdesu/*
%dir %{_includedir}/khexedit
%{_includedir}/khexedit/*
%dir %{_includedir}/kio
%{_includedir}/kio/*
%dir %{_includedir}/kjs
%{_includedir}/kjs/*
%dir %{_includedir}/kmediaplayer
%{_includedir}/kmediaplayer/*
%{_includedir}/knewstuff2
%{_includedir}/knewstuff3
%dir %{_includedir}/kparts
%{_includedir}/kparts/*
%{_includedir}/kross
%dir %{_includedir}/ktexteditor
%{_includedir}/ktexteditor/*
%dir %{_includedir}/nepomuk
%{_includedir}/nepomuk/*
%dir %{_includedir}/solid
%{_includedir}/solid/*
%dir %{_includedir}/sonnet
%{_includedir}/sonnet/*
%dir %{_includedir}/threadweaver
%{_includedir}/threadweaver/*
%{_includedir}/*.tcc
%dir %{_includedir}/ksettings
%{_includedir}/ksettings/*
%dir %{_includedir}/kunitconversion
%{_includedir}/kunitconversion/*
%dir %{_includedir}/kunittest
%{_includedir}/kunittest/*
%{_includedir}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdelibs.spec,v $
Revision 1.201  2010/06/29 20:41:25  shadzik
- 4.4.5

Revision 1.200  2010/05/28 20:48:58  shadzik
- 4.4.4

Revision 1.199  2010/05/27 12:30:51  pluto
- release 7.

Revision 1.198  2010/05/26 17:45:45  pluto
- add BR: issue for aboutPLD.patch (there's cat /etc/pld-release invocation).

Revision 1.197  2010/05/22 17:40:26  pluto
- fix typo in BR.

Revision 1.196  2010/05/22 15:47:18  pluto
- add missed BR: xorg-lib-libXScrnSaver-devel.

Revision 1.195  2010/05/16 12:44:20  shadzik
- add Rs to -devel subpackage
- rel 6

Revision 1.194  2010/05/14 02:00:03  sparky
- devel requires QtSvg-devel (a bunch of other Rs are missing in -devel, take
  a look at KDELibs4LibraryTargets-release.cmake to find out some of them)

Revision 1.193  2010/05/11 14:04:08  shadzik
- fix useragent string

Revision 1.192  2010/05/05 22:31:51  shadzik
- rel 4

Revision 1.191  2010/05/05 21:39:08  shadzik
- add pld_box.png

Revision 1.190  2010/05/05 11:52:15  shadzik
- new tarball (fixes some regressions)
- add -aboutPLD.patch
- rel 3
- PLEASE DO NOT SEND TO BUILDERS YET! it's not tested, I#ll do everything myself

Revision 1.189  2010/05/04 13:02:43  shadzik
- fix ca-certs once again
- rel 2

Revision 1.188  2010/05/01 13:01:25  shadzik
- add -findlzmafix.patch

Revision 1.187  2010/04/30 15:45:55  shadzik
- 4.4.3
- add -cacert.patch which clears TODO
- %files

Revision 1.186  2010/03/26 19:25:38  shadzik
- 4.4.2

Revision 1.185  2010/03/16 20:33:29  arekm
- rel 3; fix files

Revision 1.184  2010/03/16 19:56:29  arekm
- rel 2; branch diff updated

Revision 1.183  2010/02/27 00:08:46  shadzik
- 4.4.1 try #1
- branch.diff laready upstream

Revision 1.182  2010/02/19 12:08:50  shadzik
- adapterized

Revision 1.181  2010/02/18 12:55:37  glen
- ca-certificates todo is not done

Revision 1.180  2010/02/17 23:15:10  shadzik
- <del>merged</del> overwrote with from DEVEL version of spec

Revision 1.157.2.40  2010/02/12 18:18:35  arekm
- rel 5; branch diff update; scrolling fix for konqueror

Revision 1.157.2.39  2010/02/12 07:32:03  arekm
- rel 4; branch diff is back

Revision 1.157.2.38  2010/02/09 14:26:45  arekm
- rel 3; new tarball

Revision 1.157.2.37  2010/02/08 21:19:33  arekm
- rel 2; new tarball

Revision 1.157.2.36  2010/02/04 19:22:21  arekm
- up to 4.4.0

Revision 1.157.2.35  2010/02/02 20:55:23  shadzik
- bump up qtver; it's not necessary but we make sure we link with the latest qtver

Revision 1.157.2.34  2010/02/02 16:00:25  shadzik
- minor clean up (removing old svn snap stuff)

Revision 1.157.2.33  2010/02/02 13:11:27  shadzik
- force cmake 2.8.0 BR

Revision 1.157.2.32  2010/02/02 12:47:44  shadzik
- R: QtOpenGL-devel >= %{qtver} in -devel

Revision 1.157.2.31  2010/01/31 22:21:21  arekm
- up to 4.3.98

Revision 1.157.2.30  2010/01/20 09:20:11  arekm
- add BR: QtOpenGL-devel

Revision 1.157.2.29  2010/01/20 07:57:31  arekm
- up 4.3.95

Revision 1.157.2.28  2010/01/08 09:49:59  arekm
- add BR polkit-qt-devel >= 0.9.3; shared-desktop-ontologies-devel is needed

Revision 1.157.2.27  2010/01/06 20:59:36  shadzik
- 4.4 RC1

Revision 1.157.2.26  2009/12/20 12:35:35  shadzik
- 4.4 Beta2

Revision 1.157.2.25  2009/12/04 01:08:59  shadzik
- new tarball
- rel 3

Revision 1.157.2.24  2009/12/03 22:38:23  sparky
- BR: bison, flex

Revision 1.157.2.23  2009/12/03 22:02:03  shadzik
- add -findqt4.patch
- rel 2

Revision 1.157.2.22  2009/12/03 20:39:34  shadzik
- updated BRs

Revision 1.157.2.21  2009/12/02 21:03:24  cactus
- files

Revision 1.157.2.20  2009/12/02 18:34:13  shadzik
- raw; files need to be fixed, don't touch this! :)

Revision 1.157.2.19  2009/12/01 19:39:52  shadzik
- again

Revision 1.157.2.18  2009/12/01 19:34:14  shadzik
- fix dirs

Revision 1.157.2.17  2009/12/01 19:27:41  shadzik
- 4.4 beta1

Revision 1.157.2.16  2009/11/28 17:59:44  shadzik
- 4.3.77

Revision 1.157.2.15  2009/11/18 12:31:14  paszczus
- added missing %dir

Revision 1.157.2.14  2009/11/17 01:43:05  shadzik
- 4.3.75

Revision 1.157.2.13  2009/11/14 15:38:35  cactus
- up to 4.3.74

Revision 1.157.2.12  2009/11/02 02:09:21  shadzik
- rel 3

Revision 1.157.2.11  2009/11/02 00:26:17  shadzik
- add bindingsfix.patch
- rel 2

Revision 1.157.2.10  2009/10/28 21:24:49  shadzik
- 4.3.73

Revision 1.157.2.9  2009/10/18 12:48:46  paszczus
- updated to 4.3.72

Revision 1.157.2.8  2009/10/01 21:50:33  cactus
- up to 4.3.69

Revision 1.157.2.7  2009/09/23 07:52:04  cactus
- full name of O: and P: - grep ready feature

Revision 1.157.2.6  2009/09/22 23:46:15  cactus
- merged some changes from HEAD

Revision 1.157.2.5  2009/09/22 11:39:51  cactus
- up to 4.3.68
- ghost symlinks for libs
- sort libs

Revision 1.157.2.4  2009/09/11 00:41:56  cactus
- O: kde4-kdelibs-experimental, kde4-kdelibs-experimental-devel

Revision 1.157.2.3  2009/09/10 23:46:16  cactus
- up to 4.3.67

Revision 1.157.2.2  2009/08/22 10:05:25  cactus
- up to 4.3.65

Revision 1.157.2.1  2009/08/19 23:33:06  cactus
- up to 4.3.64

Revision 1.157  2009/08/19 19:48:59  arekm
- rel 3; branch diff is back

Revision 1.156  2009/08/03 15:20:26  arekm
- values are case sensitive it seems

Revision 1.155  2009/07/30 06:25:37  shadzik
- new tarball
- rel 2

Revision 1.154  2009/07/29 17:57:17  shadzik
- merged from DEVEL

Revision 1.146.2.19  2009/07/29 17:55:14  shadzik
- 4.3.0

Revision 1.146.2.18  2009/07/22 17:13:09  shadzik
- new tarball
- rel 2

Revision 1.146.2.17  2009/07/21 23:48:49  shadzik
- updated BRs and Rs

Revision 1.146.2.16  2009/07/21 22:50:27  shadzik
- 4.3rc3

Revision 1.146.2.15  2009/07/13 16:47:15  shadzik
- krb5-devel -> heimdal-devel

Revision 1.146.2.14  2009/07/10 12:41:55  cactus
- proper bcond on R: and BR: for bcond apidocs

Revision 1.146.2.13  2009/07/09 19:05:15  paszczus
- updated to 4.2.96

Revision 1.146.2.12  2009/07/04 14:38:44  shadzik
- profiles and remotes already in kde-common-dirs

Revision 1.146.2.11  2009/06/29 17:26:22  shadzik
- 4.3 RC1

Revision 1.146.2.10  2009/06/11 12:47:28  paszczus
- updated to 4.2.91

Revision 1.146.2.9  2009/06/08 10:38:48  paszczus
- cleanup

Revision 1.146.2.8  2009/06/08 09:35:37  paszczus
- updated to 4.2.90

Revision 1.146.2.7  2009/05/30 16:19:34  cactus
- add nepomuk files

Revision 1.146.2.6  2009/05/30 14:15:36  paszczus
- updated to 4.2.88
- kdelibs-experimental moved to kde4-kdelibs-experimental.spec

Revision 1.146.2.5  2009/05/29 08:11:16  paszczus
- moved libknotificationitem-1.so from devel to libs

Revision 1.146.2.4  2009/05/26 11:15:58  paszczus
- added kdelibs-experimental to get libknotificationitem-1

Revision 1.146.2.3  2009/05/26 09:15:02  paszczus
- updated to 4.2.87
- updated soprano BR: 2.1.68
- added BR: xz-devel
- package Nepomuk files (!)

Revision 1.146.2.2  2009/05/25 10:22:40  paszczus
- Patch100 commented (no reason to put it on DEVEL for now)

Revision 1.146.2.1  2009/05/11 17:30:41  shadzik
- 4.3 beta1

Revision 1.146  2009/05/08 14:31:01  shadzik
- updated cmake br

Revision 1.145  2009/05/08 13:32:32  shadzik
- rel 2

Revision 1.144  2009/05/01 13:57:38  shadzik
- 4.2.3

Revision 1.143  2009/04/19 16:52:50  arekm
- release 4

Revision 1.142  2009/04/12 21:05:45  arekm
- enable branch diffs

Revision 1.141  2009/03/31 21:06:38  shadzik
- new tarball

Revision 1.140  2009/03/31 00:16:19  shadzik
- new tarball
- rel 2

Revision 1.139  2009/03/27 15:57:26  shadzik
- 4.2.2

Revision 1.138  2009/03/22 19:27:23  arekm
- rel 5; enforce qt 4.5

Revision 1.137  2009/03/20 23:04:08  arekm
- release 4

Revision 1.136  2009/03/13 13:52:10  blues
- readded S: kde4-icons. KDE4 apps have nothing to do with kdebase and
  there is library part in kdelibs that can use icons.

Revision 1.135  2009/03/12 00:32:13  shadzik
- remove S: kde4-icons - not because I have a different opinion than blues, but
  because _all_ packages he mentioned also require kde4-kdebase-[workspace] and kde4-icons
  are already required/suggested by them

Revision 1.134  2009/03/11 23:19:31  shadzik
- don't own dbus interface dir
- rel 3

Revision 1.133  2009/03/11 20:22:35  blues
- suggest kde4-icons in essential package - most kde4libs linked apps will
  use it.

Revision 1.132  2009/03/11 09:47:18  arekm
- apply branch patches

Revision 1.131  2009/02/28 10:51:17  shadzik
- add kconfig updaters in form of a shell script

Revision 1.130  2009/02/27 18:15:48  shadzik
- new tarball
- rel 2

Revision 1.129  2009/02/27 15:21:25  shadzik
- update phonon BR

Revision 1.128  2009/02/27 12:39:05  shadzik
- 4.2.1

Revision 1.127  2009/02/24 01:40:15  shadzik
- updated branch patch
- rel lucky number 13

Revision 1.126  2009/02/22 20:53:41  shadzik
- add -branding.patch
- rel 12

Revision 1.125  2009/02/20 22:31:36  shadzik
- rel 11

Revision 1.124  2009/02/20 20:29:31  shadzik
- set KDE_DISTRIBUTION_TEXT

Revision 1.123  2009/02/20 15:54:54  glen
- saved 16 bytes

Revision 1.122  2009/02/20 15:54:17  glen
- don't you love tabs?

Revision 1.121  2009/02/20 14:15:07  shadzik
- BC kdelibs and kdelibs-devel

Revision 1.120  2009/02/20 12:15:43  shadzik
- release 10

Revision 1.119  2009/02/20 11:53:40  shadzik
- conditional release/debug build (thx glen)

Revision 1.118  2009/02/20 10:52:17  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.117  2009/02/09 20:20:43  arekm
- rel 8; branch diff updated

Revision 1.116  2009/02/03 13:37:19  shadzik
- rel 7

Revision 1.115  2009/02/03 11:15:20  shadzik
- add branch.diff
- rel 6

Revision 1.114  2009/01/27 21:54:13  shadzik
- 4.2.0 stable (merged from DEVEL)

Revision 1.109.2.60  2009/01/26 19:20:03  shadzik
- final tarball
- rel 5

Revision 1.109.2.59  2009/01/24 13:03:47  shadzik
- new tarball
- rel 4

Revision 1.109.2.58  2009/01/23 08:31:51  shadzik
- new tarball

Revision 1.109.2.57  2009/01/22 19:30:32  shadzik
- updated automoc4 BR; rel 2

Revision 1.109.2.56  2009/01/22 15:29:46  shadzik
- update phonon BR

Revision 1.109.2.55  2009/01/22 11:19:19  shadzik
- 4.2.0 non-final

Revision 1.109.2.54  2009/01/14 14:55:14  paszczus
- rel 2

Revision 1.109.2.53  2009/01/14 14:48:45  paszczus
- updated kde-common-dirs R to 0.3

Revision 1.109.2.52  2009/01/13 00:28:58  shadzik
- updated strigi and phonon BRs

Revision 1.109.2.51  2009/01/07 18:19:22  shadzik
- 4.2 RC1

Revision 1.109.2.50  2009/01/07 10:26:49  shadzik
- more devel files
- god damn it, did the "upgrader" look at unpackaged files at all!?

Revision 1.109.2.49  2009/01/07 10:13:00  shadzik
- own desktoptheme dir (empty)

Revision 1.109.2.48  2009/01/05 17:53:39  glen
- revert source url change

Revision 1.109.2.47  2009/01/02 20:27:47  rotom
- up to 4.1.87
- URL changed to Polish mirror

Revision 1.109.2.46  2008/12/16 20:42:19  shadzik
- new tarball
- rel 3

Revision 1.109.2.45  2008/12/16 18:18:36  glen
- crystalsvg icon dirs in kde4-icons-crystalsvg; rel 2

Revision 1.109.2.44  2008/12/15 13:33:26  shadzik
- 4.1.85

Revision 1.109.2.43  2008/12/08 17:19:00  glen
- disable macros usage, can live with defaults (would be out of sync anyway if changed)

Revision 1.109.2.42  2008/12/08 12:36:57  paszczus
- updated to 4.1.82

Revision 1.109.2.41  2008/12/07 12:45:39  glen
- %{_datadir}/apps once again in kde-common-dirs

Revision 1.109.2.40  2008/12/07 01:03:13  glen
- oxygen icon dirs in kde4-icons-oxygen package

Revision 1.109.2.39  2008/11/29 02:23:07  shadzik
- 4.1.81
- updated soprano BR

Revision 1.109.2.38  2008/11/26 18:18:48  shadzik
- 4.2 beta1

Revision 1.109.2.37  2008/11/24 16:03:49  shadzik
- don't own autostart and services (owned by kde-common-dirs)

Revision 1.109.2.36  2008/11/18 20:39:37  shadzik
- undo kill C; kdelibs

Revision 1.109.2.35  2008/11/18 19:58:58  shadzik
- R: proper kde-common-dirs version

Revision 1.109.2.34  2008/11/18 19:57:04  shadzik
- rel 2
- kcontrol in kde-common-dirs

Revision 1.109.2.33  2008/11/18 17:10:00  shadzik
- kill kdelibs C:

Revision 1.109.2.32  2008/11/13 16:06:43  cactus
- mising files

Revision 1.109.2.31  2008/11/13 13:51:38  paszczus
- updated to 4.1.73

Revision 1.109.2.30  2008/11/11 16:32:09  shadzik
- own just the empty kcontrol dir
- rel 3

Revision 1.109.2.29  2008/11/09 17:27:17  witekfl
- BR: QtWebKit-devel

Revision 1.109.2.28  2008/11/06 02:41:11  shadzik
- O: form last commit was of course bullshit; rel 2

Revision 1.109.2.27  2008/11/06 02:20:11  shadzik
- 4.1.72
- O: kde4-kdebase-workspace-plasma

Revision 1.109.2.26  2008/10/31 17:45:32  shadzik
- updated qt BR

Revision 1.109.2.25  2008/10/31 17:44:25  shadzik
- don't own xdg/menu folder

Revision 1.109.2.24  2008/10/23 16:47:59  rotom
- up to 4.1.71

Revision 1.109.2.23  2008/10/20 00:24:52  shadzik
- /usr/share/apps/kconf_update belongs to kde-common-dirs

Revision 1.109.2.22  2008/10/20 00:10:18  shadzik
- own %{_datadir}/kde4/services/ServiceMenus
- rel 3

Revision 1.109.2.21  2008/10/19 23:41:38  shadzik
- more verbose dirs

Revision 1.109.2.20  2008/10/18 11:25:43  rotom
- up to 4.1.70

Revision 1.109.2.19  2008/10/10 07:47:00  paszczus
- updated to 4.1.69

Revision 1.109.2.18  2008/10/04 11:51:01  shadzik
- get rid of empty and useless (really?) fileshare.conf

Revision 1.109.2.17  2008/10/02 18:14:18  paszczus
- libformula moved to proper place

Revision 1.109.2.16  2008/10/02 09:14:05  paszczus
- updated to 4.1.68

Revision 1.109.2.15  2008/09/20 10:18:58  paszczus
- kwalletd moved to kde4-kdebase-runtime

Revision 1.109.2.14  2008/09/19 19:47:49  paszczus
- corrected %files

Revision 1.109.2.13  2008/09/19 09:18:50  paszczus
- updated to 4.1.67

Revision 1.109.2.12  2008/09/04 18:09:08  paszczus
- updated to 4.1.65

Revision 1.109.2.11  2008/08/30 21:48:24  shadzik
- come on come on... hola hola, to a place called kde 4.1.64

Revision 1.109.2.10  2008/08/24 17:22:50  shadzik
- add patch2
- makes kdemultimedia build like a charm

Revision 1.109.2.9  2008/08/21 15:32:07  paszczus
- updated to 4.1.63

Revision 1.109.2.8  2008/08/17 22:01:38  shadzik
- 4.1.62

Revision 1.109.2.7  2008/08/15 11:43:31  shadzik
- cmake fix now in cmake itself

Revision 1.109.2.6  2008/08/09 14:42:21  shadzik
- fix build with cmake > 2.6.0

Revision 1.109.2.5  2008/08/08 13:26:14  shadzik
- strict cmake version

Revision 1.109.2.4  2008/08/08 13:25:53  shadzik
- 4.1.61

Revision 1.109.2.3  2008/08/05 22:06:51  shadzik
- man file

Revision 1.109.2.2  2008/08/05 21:29:39  shadzik
- updated BRs
- rel 2

Revision 1.109.2.1  2008/08/05 18:35:03  shadzik
- 4.1.60

Revision 1.109  2008/07/24 22:44:55  arekm
- rel 2

Revision 1.108  2008/07/24 22:19:14  arekm
- bump BR

Revision 1.107  2008/07/24 13:41:02  paszczus
- updated to stable 4.1.0

Revision 1.106  2008/07/24 11:39:11  paszczus
- updated to 4.0.99

Revision 1.105  2008/07/23 14:07:04  shadzik
- rel 7

Revision 1.104  2008/07/23 12:42:47  shadzik
- rel 6

Revision 1.103  2008/07/23 10:01:54  shadzik
- add patch1
- rel 5

Revision 1.102  2008/07/20 20:43:13  arekm
- rel 3; C: kdelibs (all versions)

Revision 1.101  2008/07/18 21:35:22  shadzik
- R: xdg-menus
- removed Conflicts
- don't package own menu file

Revision 1.100  2008/07/18 11:17:21  arekm
- explict conflicts

Revision 1.99  2008/07/15 16:56:43  shadzik
- lib64.patch deprecated

Revision 1.98  2008/07/15 16:53:30  shadzik
- 4.0.98

Revision 1.97  2008/07/04 06:32:02  paszczus
- updated to 4.0.85

Revision 1.96  2008/06/27 17:15:43  rotom
- up to 4.0.84

Revision 1.95  2008/06/25 18:33:24  qboosh
- sorted BRs

Revision 1.94  2008/06/25 16:15:01  shadzik
- don't own dirs already owned by phonon

Revision 1.93  2008/06/25 15:16:47  shadzik
- more -devel files fixes

Revision 1.92  2008/06/25 15:12:25  shadzik
- missing dirs
- some more files
- rel 2

Revision 1.91  2008/06/25 15:06:37  shadzik
- very very very verbose header files in -devel

Revision 1.90  2008/06/25 12:17:16  shadzik
- -devel R: phonon-devel
- NFY (need to get verbose list of devel includesdir)

Revision 1.89  2008/06/25 12:01:43  shadzik
- god damn, phonon is indeed needed

Revision 1.88  2008/06/25 11:58:50  shadzik
- kill phonon-devel BR

Revision 1.87  2008/06/25 08:53:32  shadzik
- oops, >=

Revision 1.86  2008/06/24 20:59:01  shadzik
- BR: automoc4 >= 0.9.83

Revision 1.85  2008/06/24 19:35:00  shadzik
- changed automoc4 and phonon BRs

Revision 1.84  2008/06/24 15:57:05  shadzik
- 4.0.83

Revision 1.83  2008/06/20 20:00:07  shadzik
- adapter

Revision 1.82  2008/06/20 18:11:30  shadzik
- add /etc/xdg/menus/applications.menu (prevents installing of applnk or gnome-menus or kde3)
- rel 4

Revision 1.81  2008/06/20 17:54:11  shadzik
- install them

Revision 1.80  2008/06/20 17:45:37  shadzik
- dirs from kde4-kdebase-common shit
- rel 3

Revision 1.79  2008/06/14 20:38:49  rotom
- patch name fixes

Revision 1.78  2008-06-14 13:58:23  shadzik
- fix 64bit build

Revision 1.77  2008-06-13 11:03:54  shadzik
- killed -shared subpackage and moved it's insides to main package
- re-added files conflicting with kde3 (we will solve it another way in kde3)
- cleared todo

Revision 1.76  2008-06-12 18:47:17  arekm
- TODO about broken -shared subpackage

Revision 1.75  2008-06-11 16:44:39  rotom
- 4.0.82

Revision 1.74  2008-06-06 11:14:47  shadzik
- BR: kde4-automoc
- should fix kde4automoc existance issue

Revision 1.73  2008-06-05 06:11:37  shadzik
- reverted
- BR: qt4-phonon-devel

Revision 1.72  2008-06-04 14:02:16  paszczus
- reenabled kde4automoc file, it is NEEDED ! tested on all x86_64 boxes that i have access to

Revision 1.71  2008-06-04 11:27:26  paszczus
- added BR: kde4-kdesupport-phonon

Revision 1.70  2008-06-03 20:46:31  rotom
- up to 4.0.81
- phonoh libs removed

Revision 1.69  2008-05-27 20:14:44  paszczus
- include kde4automoc for now (to removed in beta1 probably)

Revision 1.68  2008-05-27 15:03:08  shadzik
- 4.0.80

Revision 1.67  2008-05-27 14:56:55  shadzik
- killed unneeded BRs

Revision 1.66  2008-05-17 07:13:52  shadzik
- updated strigi BR

Revision 1.65  2008-05-16 17:06:55  rotom
- 4.0.74

Revision 1.64  2008-05-08 23:07:46  shadzik
- 4.0.73
- rel 1

Revision 1.63  2008-04-30 20:54:11  megabajt
- don't own /usr/share/mime/packages. It's provided by shared-mime-info

Revision 1.62  2008-04-30 20:27:47  rotom
- 4.0.72

Revision 1.61  2008-04-20 10:50:26  shadzik
- updated soprano BR
- fixes kde4-kdebase-runtime-4.0.70 build
- rel 0.2

Revision 1.60  2008-04-19 15:23:44  shadzik
- 4.0.70

Revision 1.59  2008-04-13 16:55:39  rotom
- 4.0.69

Revision 1.58  2008-04-09 15:13:30  shadzik
- reverted last change, arekm insisted very strongly ;)

Revision 1.57  2008-04-09 14:58:22  shadzik
- kjscmd is back, kde4 is in a too early stage to coexist with kde3

Revision 1.56  2008-04-09 14:18:16  shadzik
- fix changelog

Revision 1.55  2008-04-03 20:20:51  rotom
- 4.0.68

Revision 1.54  2008-03-28 02:46:31  shadzik
- 4.0.67
- updated soprano BR

Revision 1.53  2008-03-23 10:23:07  arekm
- kjscmd commented out; kde3 conflict

Revision 1.52  2008-03-16 19:38:05  arekm
- C: kdelibs-devel not kdebase-devel

Revision 1.51  2008-03-16 19:24:35  arekm
- devel C: kdelibs-devel

Revision 1.50  2008-03-16 17:32:16  arekm
- include scalable dir

Revision 1.49  2008-03-16 16:19:36  arekm
- up to 4.0.66; avoid conflict with kde3

Revision 1.48  2008-03-06 18:01:32  paszczus
- updated to 4.0.65

Revision 1.47  2008-03-05 20:49:52  arekm
- updated todo

Revision 1.46  2008-03-05 20:47:16  arekm
- devel R: main pkg (for kde4-devel)

Revision 1.45  2008-03-05 17:21:39  shadzik
- 4.0.64

Revision 1.44  2008-02-18 20:50:16  qboosh
- few more cleanups

Revision 1.43  2008-02-15 01:44:21  shadzik
- 4.0.62

Revision 1.42  2008-02-10 16:39:39  rotom
- 4.0.61

Revision 1.41  2008-02-06 21:59:10  pluto
- define _defaultdocdir and _iconsdir for non-standard _prefix usage.

Revision 1.40  2008-02-06 18:00:24  qboosh
- reformatted wrt. multibyte chars
- pl for -shared
- moved checkXML(1) manual to proper package
- avoid creating empty -apidocs

Revision 1.39  2008-02-06 17:10:06  shadzik
- rename kdelibs-shared to kde4-kdelibs-shared again
  this is rather a good idea due problems with kde3
  (kdelibs-shared-3 will occure as an upgrade to kdelibs-shared-4 due to epoch differences - which is   just stupid)

Revision 1.38  2008-02-06 13:05:56  shadzik
- adapterized

Revision 1.37  2008-02-04 21:49:41  qboosh
- base R: -libs, not the opposite

Revision 1.36  2008-02-04 21:47:39  qboosh
- no initial epoch

Revision 1.35  2008-02-04 21:05:56  paszczus
- added BR: QtScript-devel (pointed out by pluto)

Revision 1.34  2008-02-04 20:49:19  shadzik
- fix %files

Revision 1.33  2008-02-04 20:46:18  paszczus
- isnt kjscmd same as kjsconsole?

Revision 1.32  2008-02-04 19:56:19  paszczus
- updated BRs

Revision 1.31  2008-02-04 19:46:31  paszczus
- updated to 4.0.60; please test if nepomuk is building fine

Revision 1.30  2008-02-03 20:07:49  rotom
- last commit reverted

Revision 1.29  2008-02-03 19:31:05  rotom
- kdelibs-shared to kde4-kdelibs-shared

Revision 1.28  2008-02-03 18:26:59  shadzik
- BR: avahi-devel

Revision 1.27  2008-02-03 16:32:50  paszczus
- added R: kde4-kdelibs to -libs

Revision 1.26  2008-02-02 14:46:02  shadzik
- epoch 0

Revision 1.25  2008-02-02 02:06:21  shadzik
- fix also patchname
- down to rel 0.1 due to name change

Revision 1.24  2008-02-02 00:13:13  shadzik
- proper Name
- add O: and C:

Revision 1.23  2008-01-31 18:38:31  paszczus
- kde4-config is required to run kde, so moved binary to main package

Revision 1.22  2008-01-23 13:57:19  shadzik
- R: kde-common-dirs
- rel 0.4

Revision 1.21  2008-01-20 19:06:30  shadzik
- reverted

Revision 1.20  2008-01-20 19:03:12  shadzik
- own /usr/share/config.kcfg (kdelibs-shared package)

Revision 1.19  2008-01-20 17:04:17  glen
- BR: shared-mime-info >= 0.18

Revision 1.18  2008-01-20 13:14:20  pascalek
- kde4automoc moved to devel

Revision 1.17  2008-01-20 13:09:32  pascalek
- conflict with too old kdelibs, kde4-config moved to devel

Revision 1.16  2008-01-20 09:57:59  pascalek
- kde3 and kde4 shared files

Revision 1.15  2008-01-20 05:25:24  glen
- rpm macros for cmake

Revision 1.14  2008-01-19 13:51:35  qboosh
- not sure about kerberos5 bcond, restored

Revision 1.13  2008-01-19 13:41:52  qboosh
- bconds cleanup
- -devel R: just -libs, not base

Revision 1.12  2008-01-18 21:02:22  shadzik
- own /usr/share/autostart

Revision 1.11  2008-01-14 10:21:43  pascalek
- no arts, applnk conflict resolved, missing /usr/share/doc/kde

Revision 1.10  2008-01-13 14:32:14  glen
- correct changelog

Revision 1.9  2008-01-13 00:35:45  glen
- package libkdeinit4* to proper package, fix htmldocdirs

Revision 1.8  2008-01-11 08:52:54  pascalek
- updated to 4.0.0

Revision 1.7  2008-01-04 20:16:24  qboosh
- qt4-qmake -> qmake-qt4 (updated findqt4 patch)

Revision 1.6  2007-12-30 13:42:54  glen
- BR: shared-mime-info

Revision 1.5  2007-12-11 20:07:07  arekm
- parallel build works fine

Revision 1.4  2007-12-11 19:48:39  rotom
- BR soprano is back

Revision 1.3  2007-12-11 19:34:00  rotom
- up to 3.97.0
- some BRs added
- xdg files moved to proper dir

Revision 1.2  2007-12-09 22:17:23  shadzik
- no obsoletes for now

Revision 1.1  2007-12-09 22:14:55  arekm
- now as kdelibs4.spec

Revision 1.490.2.23  2007-11-30 22:23:29  rotom
- up to 3.96.2
- NFY, help wanted :D

Revision 1.490.2.22  2007/08/26 21:53:24  shadzik
- lots more %files packaged

Revision 1.490.2.21  2007/08/26 21:40:53  shadzik
- one more lib

Revision 1.490.2.20  2007/08/26 21:33:52  shadzik
- more %files (still NFY)

Revision 1.490.2.19  2007/08/26 20:05:26  shadzik
- strict strigi BR

Revision 1.490.2.18  2007/08/26 18:26:45  shadzik
- force one job at a time, won't build with -j > 1

Revision 1.490.2.17  2007/08/26 17:56:49  shadzik
- 3.92.0
- updated BR

Revision 1.490.2.16  2007/06/02 16:25:14  shadzik
- more %files due to new soprano-devel BR

Revision 1.490.2.15  2007/06/01 23:55:45  shadzik
- %files
- builds ;-)

Revision 1.490.2.14  2007/06/01 22:26:39  shadzik
- BR QtTest-devel

Revision 1.490.2.13  2007/06/01 22:24:29  shadzik
- BR strigi-devel

Revision 1.490.2.12  2007/05/31 16:32:26  shadzik
- re-add BR QtUiTools-devel

Revision 1.490.2.11  2007/05/28 14:09:53  shadzik
- better kerberos5 bcond naming

Revision 1.490.2.10  2007/05/28 14:02:13  shadzik
- up to 3.90.1
- updated BRs
- not tested

Revision 1.490.2.9  2007/03/21 22:08:50  shadzik
- bumped up to 3.80.3
- this is definitly not finished yet, since there were errors while building kwallet and i didn't find to manage these issues

Revision 1.490.2.8  2007/02/12 13:20:13  baggins
- converted to UTF-8

Revision 1.490.2.7  2006/12/18 22:09:58  glen
- qt-devel is wrong

Revision 1.490.2.6  2006/12/18 18:04:43  glen
- missing qt4-build BR

Revision 1.490.2.5  2006/12/18 18:01:36  glen
- missing qt4-qmake BR

Revision 1.490.2.4  2006/12/18 17:59:47  glen
- allow %build re-executed

Revision 1.490.2.3  2006/12/09 11:28:29  glen
- die kde3 changelog

Revision 1.490.2.2  2006/12/08 23:39:56  pascalek
- Who said it won't build with Qt 4.2.2?
  Builds fine with 4.2.2 - tested.

Revision 1.490.2.1  2006/12/08 17:06:00  shadzik
- no arts in kde4

Revision 1.490  2006/12/08 16:39:28  rotom
- up to kde4 rc2 (3.80.2)
- section files should be fixed
- still many to do
